package com.qmth.sop.business.bean.dto;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.HeadFontStyle;
import com.alibaba.excel.annotation.write.style.HeadStyle;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;

/**
 * @Description: 工时统计-按人员统计
 * @Author: CaoZixuan
 * @Date: 2024-09-06
 */
@ColumnWidth(value = 30)
@HeadStyle(fillForegroundColor = 11)
@HeadFontStyle(color = 1)
public class DingStatisticByPersonDto {

    @ExcelProperty(value = "服务单元")
    @ApiModelProperty(value = "服务单元")
    private String serviceName;

    @ApiModelProperty(value = "服务单元id")
    @JsonSerialize(using = ToStringSerializer.class)
    @ExcelIgnore
    private Long serviceId;

    @ApiModelProperty(value = "用户id")
    @JsonSerialize(using = ToStringSerializer.class)
    @ExcelIgnore
    private Long userId;

    @ExcelProperty(value = "姓名(人员档案号)")
    @ApiModelProperty(value = "姓名(人员档案号)")
    private String userInfo;

    @ExcelProperty(value = "供应商")
    @ApiModelProperty(value = "供应商")
    private String supplierName;

    @ExcelProperty(value = "实际出勤（天）")
    @ApiModelProperty(value = "实际出勤（天）")
    private Integer actualDays;

    @ExcelProperty(value = "工作日（天）")
    @ApiModelProperty(value = "工作日（天）")
    private Integer weekdays;

    @ExcelProperty(value = "周末（天）")
    @ApiModelProperty(value = "周末（天）")
    private Integer weekends;

    @ExcelProperty(value = "法定节假日（天）")
    @ApiModelProperty(value = "法定节假日（天）")
    private Integer legalHolidays;

    @ExcelProperty(value = "追加人天（天）")
    @ApiModelProperty(value = "追加人天（天）")
    private BigDecimal addDays;

    @ExcelProperty(value = "追加详情（天）")
    @ApiModelProperty(value = "追加详情（天）")
    private String addDaysDetail;

    @ExcelProperty(value = "追加小时（时）")
    @ApiModelProperty(value = "追加小时（时）")
    private BigDecimal addHours;

    @ExcelProperty(value = "追加详情（时）")
    @ApiModelProperty(value = "追加详情（时）")
    private String addHoursDetail;

    @ExcelProperty(value = "累计人天（天）")
    @ApiModelProperty(value = "累计人天（天）")
    private BigDecimal workDays;

    @ExcelProperty(value = "累计工时（小时）")
    @ApiModelProperty(value = "累计工时（小时）")
    private Double workHours;

    @ExcelProperty(value = "违规工时（天）")
    @ApiModelProperty(value = "违规工时（天）")
    private Integer violationDays;

    public String getServiceName() {
        return serviceName;
    }

    public void setServiceName(String serviceName) {
        this.serviceName = serviceName;
    }

    public Long getServiceId() {
        return serviceId;
    }

    public void setServiceId(Long serviceId) {
        this.serviceId = serviceId;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public String getUserInfo() {
        return userInfo;
    }

    public void setUserInfo(String userInfo) {
        this.userInfo = userInfo;
    }

    public String getSupplierName() {
        return supplierName;
    }

    public void setSupplierName(String supplierName) {
        this.supplierName = supplierName;
    }

    public Integer getActualDays() {
        return actualDays;
    }

    public void setActualDays(Integer actualDays) {
        this.actualDays = actualDays;
    }

    public Integer getWeekdays() {
        return weekdays;
    }

    public void setWeekdays(Integer weekdays) {
        this.weekdays = weekdays;
    }

    public Integer getWeekends() {
        return weekends;
    }

    public void setWeekends(Integer weekends) {
        this.weekends = weekends;
    }

    public Integer getLegalHolidays() {
        return legalHolidays;
    }

    public void setLegalHolidays(Integer legalHolidays) {
        this.legalHolidays = legalHolidays;
    }

    public BigDecimal getAddDays() {
        return addDays;
    }

    public void setAddDays(BigDecimal addDays) {
        this.addDays = addDays;
    }

    public String getAddDaysDetail() {
        return addDaysDetail;
    }

    public void setAddDaysDetail(String addDaysDetail) {
        this.addDaysDetail = addDaysDetail;
    }

    public BigDecimal getAddHours() {
        return addHours;
    }

    public void setAddHours(BigDecimal addHours) {
        this.addHours = addHours;
    }

    public String getAddHoursDetail() {
        return addHoursDetail;
    }

    public void setAddHoursDetail(String addHoursDetail) {
        this.addHoursDetail = addHoursDetail;
    }

    public BigDecimal getWorkDays() {
        return workDays;
    }

    public void setWorkDays(BigDecimal workDays) {
        this.workDays = workDays;
    }

    public Double getWorkHours() {
        return workHours;
    }

    public void setWorkHours(Double workHours) {
        this.workHours = workHours;
    }

    public Integer getViolationDays() {
        return violationDays;
    }

    public void setViolationDays(Integer violationDays) {
        this.violationDays = violationDays;
    }
}
