package com.qmth.sop.business.bean.params;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModelProperty;
import org.hibernate.validator.constraints.Range;

import javax.validation.constraints.NotNull;
import java.math.BigDecimal;

/**
 * @Description: 工时增加参数
 * @Author: CaoZixuan
 * @Date: 2024-11-05
 */
public class DingAddParam {

    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty("被添加人")
    @NotNull(message = "缺少被添加人")
    @Range(min = 1L, message = "缺少被添加人")
    private Long userId;

    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty("服务单元id")
    @NotNull(message = "缺少服务单元id")
    @Range(min = 1L, message = "缺少服务单元id")
    private Long serviceId;

    @ApiModelProperty("sop编号")
    private String sopNo;

    @ApiModelProperty(value = "追加人天（天）")
    private BigDecimal addDays;

    @ApiModelProperty(value = "追加小时（小时）")
    private BigDecimal addHours;

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Long getServiceId() {
        return serviceId;
    }

    public void setServiceId(Long serviceId) {
        this.serviceId = serviceId;
    }

    public String getSopNo() {
        return sopNo;
    }

    public void setSopNo(String sopNo) {
        this.sopNo = sopNo;
    }

    public BigDecimal getAddDays() {
        return addDays;
    }

    public void setAddDays(BigDecimal addDays) {
        this.addDays = addDays;
    }

    public BigDecimal getAddHours() {
        return addHours;
    }

    public void setAddHours(BigDecimal addHours) {
        this.addHours = addHours;
    }
}