package com.qmth.sop.business.entity;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.qmth.sop.common.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;

/**
 * <p>
 * 工时追加表
 * </p>
 *
 * @author CaoZixuan
 * @since 2024-11-04
 */
@ApiModel(value="TBDingAdd对象", description="工时追加表")
public class TBDingAdd extends BaseEntity {

    private static final long serialVersionUID = 1L;

    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(value = "服务单元id")
    private Long serviceId;

    @ApiModelProperty(value = "sop号")
    private String sopNo;

    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(value = "用户id")
    private Long userId;

    @ApiModelProperty(value = "追加人天（天）")
    private BigDecimal addDays;

    @ApiModelProperty(value = "追加小时（小时）")
    private BigDecimal addHours;

    public Long getServiceId() {
        return serviceId;
    }

    public void setServiceId(Long serviceId) {
        this.serviceId = serviceId;
    }

    public String getSopNo() {
        return sopNo;
    }

    public void setSopNo(String sopNo) {
        this.sopNo = sopNo;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public BigDecimal getAddDays() {
        return addDays;
    }

    public void setAddDays(BigDecimal addDays) {
        this.addDays = addDays;
    }

    public BigDecimal getAddHours() {
        return addHours;
    }

    public void setAddHours(BigDecimal addHours) {
        this.addHours = addHours;
    }
}
