package com.qmth.sop.business.mapper;

import com.qmth.sop.business.bean.dto.SopInfoDto;
import com.qmth.sop.business.entity.TBDingAdd;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 工时追加表 Mapper 接口
 * </p>
 *
 * @author CaoZixuan
 * @since 2024-11-04
 */
public interface TBDingAddMapper extends BaseMapper<TBDingAdd> {

    /**
     * 根据serviceId和userId查询可追加的sop信息
     *
     * @param serviceId 服务单元id
     * @param userId    被追加用户id
     * @return 信息
     */
    List<SopInfoDto> findSopInfoByServiceIdAndUserId(@Param("serviceId") Long serviceId, @Param("userId") Long userId);
}
