package com.qmth.sop.business.service;

import com.qmth.sop.business.bean.params.DingAddParam;
import com.qmth.sop.business.bean.result.CanChooseSopResult;
import com.qmth.sop.business.entity.TBDingAdd;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * <p>
 * 工时追加表 服务类
 * </p>
 *
 * @author CaoZixuan
 * @since 2024-11-04
 */
public interface TBDingAddService extends IService<TBDingAdd> {

    /**
     * 查询可选的sop列表
     *
     * @param serviceId 服务单元id
     * @param userId    追加工时人的id
     * @return 可选sop列表
     */
    CanChooseSopResult findCanChooseSopResultList(Long serviceId, Long userId);

    /**
     * 工时增加提交(同sop（区协是服务单元）下追加是覆盖，不同sop下追加是新增)
     *
     * @param dingAddParam  工时增加参数
     * @param requestUserId 请求用户id
     */
    void dingAddSubmit(DingAddParam dingAddParam, Long requestUserId);
}
