package com.qmth.sop.business.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.sop.business.bean.dto.DingStatisticByPersonDto;
import com.qmth.sop.business.entity.TBDingAdd;
import com.qmth.sop.business.entity.TBDingStatistic;
import com.qmth.sop.business.entity.TBDingStatisticByPerson;

import java.util.List;

/**
 * <p>
 * 工时统计-按人员统计 服务类
 * </p>
 *
 * @author CaoZixuan
 * @since 2024-09-09
 */
public interface TBDingStatisticByPersonService extends IService<TBDingStatisticByPerson> {

    /**
     * 按人员统计（统计区协数据）
     *
     * @param datasource        考勤统计数据
     * @param dingAddDatasource 工时增加数据
     */
    void buildStatisticByPerson(List<TBDingStatistic> datasource, List<TBDingAdd> dingAddDatasource);

    /**
     * 按人员统计（统计区协数据）
     *
     * @param serviceId  服务单元id
     * @param personName 人员姓名
     * @param pageNumber 页码
     * @param pageSize   容量
     * @return 分页结果
     */
    IPage<DingStatisticByPersonDto> findStatisticByPersonPage(Long serviceId, String personName, Integer pageNumber,
            Integer pageSize);

    /**
     * 查询按人员统计列表
     *
     * @param serviceId 服务单元id
     * @return 查询结果
     */
    List<DingStatisticByPersonDto> findStatisticByPersonList(Long serviceId);
}
