package com.qmth.sop.business.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.qmth.sop.business.bean.dto.DingStatisticBySopDto;
import com.qmth.sop.business.entity.TBDingAdd;
import com.qmth.sop.business.entity.TBDingStatistic;
import com.qmth.sop.business.entity.TBDingStatisticBySop;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * <p>
 * 工时统计-按sop统计 服务类
 * </p>
 *
 * @author CaoZixuan
 * @since 2024-09-09
 */
public interface TBDingStatisticBySopService extends IService<TBDingStatisticBySop> {

    /**
     * 按sop统计（不统计区协数据）
     *
     * @param datasource 数据源
     */
    void buildStatisticBySop(List<TBDingStatistic> datasource, List<TBDingAdd> dingAddDatasource);

    /**
     * 按Sop统计（不统计区协数据）
     *
     * @param serviceId  服务单元id
     * @param pageNumber 页码
     * @param pageSize   容量
     * @return 分页结果
     */
    IPage<DingStatisticBySopDto> findStatisticBySopPage(Long serviceId, Integer pageNumber, Integer pageSize);

    /**
     * 查询按Sop统计列表
     *
     * @param serviceId 服务单元id
     * @return 查询结果
     */
    List<DingStatisticBySopDto> findStatisticBySopList(Long serviceId);
}
