package com.qmth.sop.business.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.sop.business.bean.dto.DingStatisticBySupplierDto;
import com.qmth.sop.business.entity.TBDingAdd;
import com.qmth.sop.business.entity.TBDingStatistic;
import com.qmth.sop.business.entity.TBDingStatisticBySupplier;

import java.util.List;

/**
 * <p>
 * 工时统计-按供应商统计 服务类
 * </p>
 *
 * @author CaoZixuan
 * @since 2024-09-09
 */
public interface TBDingStatisticBySupplierService extends IService<TBDingStatisticBySupplier> {

    /**
     * 按供应商统计（统计区协数据）
     *
     * @param datasource 数据源
     */
    void buildStatisticBySupplier(List<TBDingStatistic> datasource, List<TBDingAdd> dingAddDatasource);

    /**
     * 按供应商统计（统计区协数据）
     *
     * @param serviceId  服务单元id
     * @param pageNumber 页码
     * @param pageSize   容量
     * @return 分页结果
     */
    IPage<DingStatisticBySupplierDto> findStatisticBySupplierPage(Long serviceId, Integer pageNumber, Integer pageSize);

    /**
     * 查询按供应商统计列表
     *
     * @param serviceId 服务单元id
     * @return 查询结果
     */
    List<DingStatisticBySupplierDto> findStatisticBySupplierList(Long serviceId);
}
