﻿
-- 2024-11-04
ALTER TABLE t_b_ding
    ADD COLUMN sign_in_custom_id BIGINT NULL COMMENT '签到客户id' AFTER sign_in_address,
    ADD COLUMN sign_out_custom_id BIGINT NULL COMMENT '签退客户id' AFTER sign_out_address;

CREATE TABLE `t_b_ding_add` (
    `id` BIGINT NOT NULL,
    `service_id` BIGINT NOT NULL COMMENT '服务单元id',
    `sop_no` VARCHAR(100) DEFAULT NULL COMMENT 'sop号',
    `user_id` BIGINT NOT NULL COMMENT '用户id',
    `add_days` DECIMAL(8 , 2 ) DEFAULT NULL COMMENT '追加人天（天）',
    `add_hours` DECIMAL(8 , 2 ) DEFAULT NULL COMMENT '追加小时（小时）',
    `create_id` BIGINT DEFAULT NULL COMMENT '创建人id',
    `create_time` BIGINT DEFAULT NULL COMMENT '创建时间',
    `update_id` BIGINT DEFAULT NULL COMMENT '更新人id',
    `update_time` BIGINT DEFAULT NULL COMMENT '更新时间',
    PRIMARY KEY (`id`) USING BTREE
)  ENGINE=INNODB DEFAULT CHARSET=UTF8MB4 COMMENT='工时追加表';

ALTER TABLE t_b_ding_apply
    ADD COLUMN apply_custom_id BIGINT NULL COMMENT '区协补卡选择的客户id' AFTER reason;

-- 2024-11-05
ALTER TABLE t_b_ding_add
    ADD UNIQUE INDEX ding_add_unique (service_id ASC, user_id ASC);

ALTER TABLE t_b_ding_statistic_by_crm
    ADD COLUMN add_days DECIMAL(8,2) NULL COMMENT '增加人天（天）' AFTER mark_paper_period,
    ADD COLUMN add_hours DECIMAL(8,2) NULL COMMENT '增加小时（小时）' AFTER add_days,
    ADD COLUMN work_days DECIMAL(8,2) NULL COMMENT '累计人天（天）' AFTER add_hours,
    CHANGE COLUMN work_hours work_hours DECIMAL(8,2) NULL COMMENT '累计工时（小时）' ;

ALTER TABLE t_b_ding_statistic_by_custom
    ADD COLUMN add_days DECIMAL(8,2) NULL COMMENT '增加人天（天）' AFTER mark_paper_period,
    ADD COLUMN add_hours DECIMAL(8,2) NULL COMMENT '增加小时（小时）' AFTER add_days,
    ADD COLUMN work_days DECIMAL(8,2) NULL COMMENT '累计人天（天）' AFTER add_hours,
    CHANGE COLUMN work_hours work_hours DECIMAL(8,2) NULL COMMENT '累计工时（小时）' ;

ALTER TABLE t_b_ding_statistic_by_person
    ADD COLUMN add_days DECIMAL(8,2) NULL COMMENT '增加人天（天）' AFTER legal_holidays,
    ADD COLUMN add_hours DECIMAL(8,2) NULL COMMENT '增加小时（小时）' AFTER add_days,
    ADD COLUMN work_days DECIMAL(8,2) NULL COMMENT '累计人天（天）' AFTER add_hours,
    CHANGE COLUMN work_hours work_hours DECIMAL(8,2) NULL COMMENT '累计工时（小时）' ;

ALTER TABLE t_b_ding_statistic_by_sop
    ADD COLUMN add_days DECIMAL(8,2) NULL COMMENT '增加人天（天）' AFTER legal_holidays,
    ADD COLUMN add_hours DECIMAL(8,2) NULL COMMENT '增加小时（小时）' AFTER add_days,
    ADD COLUMN work_days DECIMAL(8,2) NULL COMMENT '累计人天（天）' AFTER add_hours,
    CHANGE COLUMN work_hours work_hours DECIMAL(8,2) NULL COMMENT '累计工时（小时）' ;

ALTER TABLE t_b_ding_statistic_by_supplier
    ADD COLUMN add_days DECIMAL(8,2) NULL COMMENT '增加人天（天）' AFTER legal_holidays,
    ADD COLUMN add_hours DECIMAL(8,2) NULL COMMENT '增加小时（小时）' AFTER add_days,
    ADD COLUMN work_days DECIMAL(8,2) NULL COMMENT '累计人天（天）' AFTER add_hours,
    CHANGE COLUMN work_hours work_hours DECIMAL(8,2) NULL COMMENT '累计工时（小时）' ;

-- 2024-11-06
INSERT INTO sys_privilege (id, name, url, type, parent_id, sequence, property, enable, default_auth, front_display) VALUES ('2110', '查询区协可选择的客户', '/api/admin/tb/ding/find_custom', 'URL', '26', '6', 'SYS', '1', '1', '0');
INSERT INTO sys_privilege (id, name, url, type, parent_id, sequence, property, enable, default_auth, front_display) VALUES ('2120', '增加工时-查询可选sop', '/api/admin/tb/ding/add/find_sop_list', 'URL', '29', '3', 'AUTH', '1', '1', '0');
INSERT INTO sys_privilege (id, name, url, type, parent_id, sequence, property, enable, default_auth, front_display) VALUES ('2121', '增加工时-提交', '/api/admin/tb/ding/add/submit', 'URL', '29', '4', 'AUTH', '1', '1', '0');
INSERT INTO sys_privilege (id, name, url, type, parent_id, sequence, property, related, enable, default_auth, front_display) VALUES ('2122', '添加工时', 'AddDing', 'LINK', '29', '3', 'AUTH', '2120,2121', '1', '0', '1');

-- 2024-11-07
ALTER TABLE t_b_ding_statistic_by_person
    ADD COLUMN user_id BIGINT NULL COMMENT '用户id' AFTER service_name;

-- 2024-11-11
ALTER TABLE t_b_ding_statistic_by_person
    ADD COLUMN add_days_detail TEXT NULL COMMENT '追加详情（天）' AFTER add_days,
    ADD COLUMN add_hours_detail TEXT NULL COMMENT '追加详情（时）' AFTER add_hours;

ALTER TABLE t_b_ding_add
    DROP INDEX ding_add_unique ;

-- 2024-11-12
UPDATE sys_privilege SET enable = '0' WHERE (id = '2056');
UPDATE sys_privilege SET enable = '0' WHERE (id = '1028');
UPDATE sys_privilege SET enable = '0' WHERE (id = '1027');
UPDATE sys_privilege SET enable = '0' WHERE (id = '1026');
UPDATE sys_privilege SET enable = '0' WHERE (id = '149');
UPDATE sys_privilege SET enable = '0' WHERE (id = '151');
UPDATE sys_privilege SET enable = '0' WHERE (id = '152');
UPDATE sys_privilege SET enable = '0' WHERE (id = '2057');
UPDATE sys_privilege SET related = '2100' WHERE (id = '148');
UPDATE sys_privilege SET related = '2100' WHERE (id = '150');
UPDATE sys_privilege SET name = '追加工时' WHERE (id = '2122');